%global _empty_manifest_terminate_build 0

Name:           perl-Data-Compare
Version:        1.29
Release:        1
Summary:        Compare perl data structures
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Compare
Source0:        https://cpan.metacpan.org/modules/by-module/Data/Data-Compare-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone) >= 0.43
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(JSON)
BuildRequires:  perl(Scalar::Properties)
BuildRequires:  perl(Test::Pod) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Compare two perl data structures recursively. Returns 0 if the structures
differ, else returns 1.

%package help
Summary: Compare perl data structures
Provides: perl-Data-Compare-doc

%description help
Compare two perl data structures recursively. Returns 0 if the structures
differ, else returns 1.

%prep
%setup -q -n Data-Compare-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ARTISTIC.txt GPL2.txt CHANGELOG MAINTAINERS-NOTE NOTES README META.json
%dir %{perl_vendorlib}/Data/
%dir %{perl_vendorlib}/Data/Compare/
%dir %{perl_vendorlib}/Data/Compare/Plugins/
%doc %{perl_vendorlib}/Data/Compare/Plugins.pod
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Fri Jul 14 2023 leeffo <liweiganga@uniontech.com> - 1.29-1
- upgrade to version 1.29

* Wed Jun 29 2022 misaka00251 <misaka00251@misakanet.cn> - 1.27-1
- Init package
